List workspace documents

Return documents embedded in a workspace.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <API_KEY>, where API_KEY is your API key.

Path parameters

workspaceIdstringRequired
Workspace whose documents to return.

Headers

X-Account-IdstringRequired
Account that owns the workspace.

Query parameters

limitintegerOptional

Maximum items to return. Default 50; maximum 100.

offsetintegerOptional
Number of items to skip. Default 0.

Response

A page of workspace documents, newest first.
limitinteger
The page size used for this response.
offsetinteger
The number of documents skipped before this page.
totalinteger
Total embedded documents, across all pages.
documentslist of objects
The embedded documents.

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error